# *****************************************************************
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2019. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# *****************************************************************

import os
from _snap_ml.utils import _is_mpi_enabled, _is_data_snapml_partition_type
_mpi_enabled = _is_mpi_enabled()


def _is_gpu_matrix_type(X,y):
    if (type(X).__name__ == "DeviceNDArray" and 
            type(y).__name__ == "DeviceNDArray"):
        return True
    return False

def _check_snapml_types(X, y):
    # SnapML can be used only for these types
    if _check_snapml_type(X) and _check_snapml_type(y):
        return True
    return False

def _check_snapml_type(X):
    # SnapML can be used only for these types
    if _is_data_snapml_partition_type(X):
        return True

    if (type(X).__name__ == "csr_matrix" or
        type(X).__name__ == "csc_matrix" or
        type(X).__name__ == "ndarray" or
        type(X).__name__ == "DeviceNDArray"):
        return True

    return False

